@ECHO OFF
CLS

SET PATCH_TITLE=XakIII(US)-B
SET PATCH_MENU_TITLE=Xak III-The Eternal Recurrence Patch Menu

@REM ----------------------------------------------------------------------
@REM 1. Search for a CDROM bin or ISO image...
@REM ----------------------------------------------------------------------

IF "%2"=="567664608" GOTO PATCH_BIN_MENU
IF "%2"=="47233024" GOTO PATCH_ISO_MENU
PATCHER *.BIN 567664608 PATCH
IF EXIST IMAGE.XAK GOTO DELIMAGE
PATCHER *.ISO 47233024 PATCH
IF EXIST IMAGE.XAK GOTO DELIMAGE

@REM ----------------------------------------------------------------------
@REM 2. No image to patch was found! Exit failure message.
@REM ----------------------------------------------------------------------

ECHO A Xak III CDRWIN BIN image dump of size 567,664,608 was NOT found!
ECHO Nor a .ISO data track dump (MODE1 2048) of size 47,233,024... Please
ECHO follow the instructions in the README for dumping a CD image using
ECHO CDRWIN, then try again... Make sure there's either a dump with the
ECHO file extension .BIN or .ISO.. Also, if your dump is there with the
ECHO right extension, then check the file size! You'll have to achieve
ECHO a dump of the above mentioned file sizes, if not, there's a problem.
ECHO Exiting...
ECHO.
PAUSE
GOTO END

:DELIMAGE
DEL IMAGE.XAK
GOTO END

:PATCH_BIN_MENU
SET EXT=BIN
SET PATCHFILE=Xak3BINB.ppf
GOTO PATCH_MENU

:PATCH_ISO_MENU
SET EXT=ISO
SET PATCHFILE=Xak3ISOB.ppf
GOTO PATCH_MENU

:PATCH_MENU
IF EXIST %1 ECHO %1 > IMAGE.XAK
hl "Apply %PATCH_TITLE% %EXT% Patch" "Cancel" /M0 /k2 /f13 /b0 /H5 %PATCH_MENU_TITLE%\
IF ERRORLEVEL 2 GOTO END
IF ERRORLEVEL 1 GOTO PPF_PATCH
GOTO END

:PPF_PATCH
echo -Found %1 and proceeding to patch...
echo -Executing command: ApplyPPF3 a %1 "%PATCHFILE%"
echo.
ApplyPPF3 a %1 "%PATCHFILE%"
echo.
PAUSE

hl "Delete unnecessary files" "Cancel" /M0 /k2 /f13 /b0 /H5 Cleanup
IF ERRORLEVEL 2 GOTO END
IF ERRORLEVEL 1 GOTO CLEANUP
GOTO END

:CLEANUP
DEL ApplyPPF3.exe
DEL applyppf3.linux
DEL ApplyPPF.MacOS-X
DEL HL.COM
DEL *.PPF

:END
